suhosin Paketproblem unter sid

Debian macht sich hervorragend als Web- und Mailserver. Schau auch in den " Tipps und Tricks"-Bereich.
Antworten
Benutzeravatar
MarkusF
Beiträge: 344
Registriert: 04.06.2007 12:45:22

suhosin Paketproblem unter sid

Beitrag von MarkusF » 18.03.2012 18:07:05

Hi,
ich habe auf meinem Notebook ein Problem damit, PHP-Scripte zum laufen zu bringen.

Code: Alles auswählen

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0

Code: Alles auswählen

aptitude install php5-suhosin
Die folgenden Pakete haben verletzte Abhängigkeiten:
  php5-suhosin: Hängt ab von: phpapi-20090626, welches ein virtuelles Paket ist.
Die folgenden Aktionen werden diese Abhängigkeiten auflösen:

     Beibehalten der folgenden Pakete in ihrer aktuellen Version:
1)     php5-suhosin [Nicht installiert]                          
ich finde mit show aber nur ein virt. Paket phpapi-20100525, das ich nicht installieren kann.

Ich weiß, das ist sid, da muss man mit sowas rechnen, ist auch kein Beinbruch weil nicht produktiv, aber ich würde mich mal über einen Tipp freuen, wie man sowas dann wieder geradebiegt? Bisher konnte ich die meisten Paketprobleme mittels aptitude ganz gut lösen, aber hier hänge ich irgendwie...

danke und Grüße,
Markus

pod32
Beiträge: 9
Registriert: 22.08.2006 17:55:33

Re: suhosin Paketproblem unter sid

Beitrag von pod32 » 24.03.2012 09:09:46

Hi Markus,

hatte das selbe Problem wie du (nur unter Wheezy).
Konnte es mit diesem Post lösen:
http://bugs.debian.org/cgi-bin/bugrepor ... =627145#25

hth
Patrick

Antworten